# Gimp.Image.get_effective_color_profile

    @accepts(Gimp.Image)
    @returns(Gimp.ColorProfile)
    def get_effective_color_profile(self):
        # Python wrapper for gimp_image_get_effective_color_profile()

Returns the color profile that is used for the image.

This procedure returns the color profile that is actually used for this image, which is the profile returned by [method@Gimp.Image.get_color_profile] if the image has a profile assigned, or the default profile from preferences, for the given color space, if no profile is assigned to the image. If there is no default profile configured in preferences either, a generated default profile is returned.

Since 2.10

self

  The image.

Returns